Packages - Bug #2414

[community/catfish]
2019-08-07 04:06 PM - pisechka

Status: not-a-bug % Done: 0%
Priority: bug
Assignee:

Category:

Description

$ catfish

Traceback (most recent call last):

File "/usr/bin/catfish", line 41, in <module>

import catfish

File "/usr/lib/python3.7/site-packages/catfish/__init__.py", line 29, in <module>

from catfish import CatfishWindow

File "/usr/lib/python3.7/site-packages/catfish/CatfishWindow.py", line 31, in <module>
import dbus

ModuleNotFoundError: No module named 'dbus’

Fixed with install python-dbus
Maybe worth add dependence?

History

#1 - 2019-08-08 12:29 PM - freemor
- Subject changed from [catfish] to [community/catfish]

#2 - 2019-08-08 12:44 PM - freemor

Hmm... working fine for me without: python-dbus, python-dbus-common installed
perhaps the dependency is further down the chain like just 'dbus'?

Perhaps this has been fixed upstream since this BR was filed?
#3 - 2019-08-08 01:47 PM - pisechka
freemor wrote:

Hmm... working fine for me without: python-dbus, python-dbus-common installed
perhaps the dependency is further down the chain like just 'dbus'?

Perhaps this has been fixed upstream since this BR was filed?
python-dbus depended by python-dbus-common.

Anyway on my 2 machines common problem. Before fix i'm check dependence and didn't have resolve dependence. And now if i check dependence
with "pactree -r python-dbus-common' see only python-dbus and nothing more.

#4 - 2019-08-08 02:16 PM - freemor
python-dbus depends dbus. Thus would have pulled it in when you installed python-dbus if it wasn't already in
What Architecture are you on? Might be minor diffs say on i686 if it is V-1 or something

#5 - 2019-08-08 02:47 PM - freemor

- Status changed from unconfirmed to confirmed

Confirmed by rolling a minimal x86_64 VM. Guess removing python-dbus/python-dbus-common from my susyem didn't do a complete job of it.
Will report upstream if no on else does before | get a chance to.. Which will probably be tomorrow

#6 - 2022-05-08 05:50 PM - Zuss

python-dbus is listed as a dependency on the PKGBUILD
Starts without issue on v4.16.3
#7 - 2022-05-14 12:20 PM - Zuss

- Status changed from confirmed to not-a-bug
